#!/bin/bash
# Top rule for Makefile.
# To generate top Makefile, just type: sh make.sh > Makefile
# Then type: make 
coq_makefile -I .. -I ../CAP0 -I ../SCAP \
	Queue.v enQueueFirst.v enQueueMulti.v \
	deQueueEmpty.v deQueueDeqA.v deQueueDeqB.v \
	TCB_lemma.v Scheduler.v SchedulerProof.v SchedulerCallenQ.v SchedulerCalldeQ.v SchedulerRetw.v \
	Unblock.v UnblockDeQueue.v UnblockEnQueue.v \
	Yield.v YieldProof.v \
	Timer.v TimerProof.v
